Skip to main content
GET
/
gb
/
organizations
/
{organization_id}
/
payrolls
/
{payroll_status_id}
/
tasks
/
payroll-calculation
/
{task_id}
/
status
Get Payroll Task Status
curl --request GET \
  --url https://dev.intermezzo.ai/gb/organizations/{organization_id}/payrolls/{payroll_status_id}/tasks/payroll-calculation/{task_id}/status \
  --header 'Authorization: Bearer <token>'
{
  "status": "DRAFT",
  "statistics": {
    "total": 123,
    "processed": 123,
    "failed": 123
  }
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
task_id
required
payroll_status_id
required

Response

Successful Response

status
enum<string>
required
Available options:
DRAFT,
IN_PROGRESS,
SUCCESS,
FAILED
statistics
TaskStatisticsResponse · object
required

Statistics about the bulk task. Can be null if the task has not started processing yet.